Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0006529opensim[REGION] Physics Enginespublic2013-02-01 16:192014-07-29 13:42
ReporterAdelleF 
Assigned ToRobert Adams 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Versionmaster (dev code) 
Target VersionFixed in Versionmaster (dev code) 
Summary0006529: BULLETSIM: Physics mesh for sculpted object is not the same as the actual object
DescriptionIt seems that the physics mesh for hollow sculpted prims does not match that of the sculpted prim. When using a sculpted prim in the form of an upside down 'U' shape my avatar can not walk trough it correctly.

At the bottom half of the object about 50% of the left side of the hollow is blocked and at the top half about 50% of the right side of the hollow is blocked.
Steps To ReproduceDownload the attached IAR, rez in world. Tray and walk/fly through it.
Additional InformationPlease observe the attached image for an approximation of the blocked areas
TagsNo tags attached.
Git Revision or version number
Run Mode Grid (1 Region per Sim)
Physics EngineBulletSim
Environment.NET / Windows64
Mono VersionNone
ViewerFirestorm
Attached Filesjpg file icon mantis_sculpt_physics.jpg [^] (101,901 bytes) 2013-02-01 16:19


? file icon mantis 6529.iar [^] (34,478 bytes) 2013-02-01 16:24

- Relationships

-  Notes
(0023498)
AdelleF (reporter)
2013-02-01 16:41

It seems this behaviour is also exhibited in other prims. Create a cube prim with the following parameters and place down as though to walk through an archway:

Cube
Hollow to 90
Hollow shape - Circle
Path cut B 0.125 E 0.625
Size X 9.3881, Y 11.6661, Z 4.0000
Rot X 0.000, Y 90.000, Z 180.000

It appears there are several places the avatar can not walk through the hole
(0023532)
Robert Adams (administrator)
2013-02-06 16:28

Two problems were found:
The primMesher makes some mistakes on interior cuts if the level-of-detail is less than maximum (32). This is fixed by always using this LOD. Whether lower LODs can be used for other shapes will be revisited later.
and
Sculpties are often generated with zero width triangles (where two of the vertices are equal). ODE seems to ignore these but Bullet considered them solid. The fix is to remove the zero width triangles from a mesh before giving it to Bullet. This feature is turned on and off by the [BulletSim]ShouldRemoveZeroWidthTriangles boolean. This parameter is TRUE by default.

- Issue History
Date Modified Username Field Change
2013-02-01 16:19 AdelleF New Issue
2013-02-01 16:19 AdelleF File Added: mantis_sculpt_physics.jpg
2013-02-01 16:24 AdelleF File Added: mantis 6529.iar
2013-02-01 16:26 AdelleF Steps to Reproduce Updated View Revisions
2013-02-01 16:41 AdelleF Note Added: 0023498
2013-02-03 10:25 Robert Adams Assigned To => Robert Adams
2013-02-03 10:25 Robert Adams Status new => assigned
2013-02-06 16:28 Robert Adams Note Added: 0023532
2013-02-06 16:28 Robert Adams Status assigned => resolved
2013-02-06 16:28 Robert Adams Fixed in Version => master (dev code)
2013-02-06 16:28 Robert Adams Resolution open => fixed
2014-07-29 13:42 chi11ken Status resolved => closed


Copyright © 2000 - 2012 MantisBT Group
Powered by Mantis Bugtracker